#ifndef _iAUDIO_DEVICE_H
#define _iAUDIO_DEVICE_H

#include <boost/shared_ptr.hpp>

class iAudioDevice
{
public:
	typedef boost::shared_ptr<iAudioDevice> PTR ;
	virtual ~iAudioDevice(void) {} ;

	virtual void Initialise( SWORD* buffer, int freq, UWORD bufferSize ) = 0 ;
	virtual void Play( SWORD* buffer ) = 0;
	virtual bool IsPlaybackComplete( ) const = 0 ;

protected:
	iAudioDevice(void) {}
};

#endif