#pragma once
#ifndef _CONFIG_MEGA_DRIVE_H
#define _CONFIG_MEGA_DRIVE_H

#define ENABLE_DEBUGGER

#include <cs_core/Logging/Logging.h>
#include <map>
#include <boost/cstdint.hpp>
#include <boost/format.hpp>
#include <boost/filesystem.hpp>
#include <boost/function.hpp>
#include <boost/bind.hpp>
#include <boost/lexical_cast.hpp>
using codeslinger::logging::LogMessage ;

typedef boost::uint8_t UBYTE ;
typedef boost::int8_t SBYTE ;
typedef boost::uint16_t UWORD ;
typedef boost::int16_t SWORD ;
typedef boost::uint32_t UDWORD ;
typedef boost::int32_t SDWORD ;

#endif