#ifndef _iOUTPUT_DEVICE_H
#define _iOUTPUT_DEVICE_H

#include <boost/shared_ptr.hpp>

class iOutputDevice
{
public:
	typedef boost::shared_ptr<iOutputDevice> PTR ;

	virtual ~iOutputDevice(void) {} ;

	virtual void SetVideoBufferSize( int width, int height ) = 0 ;
	virtual bool Update( ) = 0 ;
	virtual void Render( void* videobuffer ) const = 0 ;

protected:
	iOutputDevice(void) {}
};

#endif