#pragma once
#ifndef _SDL_AUDIO_DEVICE_H
#define _SDL_AUDIO_DEVICE_H

#include "iAudioDevice.h"

class SDLAudioDevice : public iAudioDevice
{
public:
	static PTR Create( ) ;
	virtual ~SDLAudioDevice(void);

	virtual void Initialise( SWORD* buffer, int freq, UWORD bufferSize ) ;
	virtual void Play( SWORD* buffer ) ;
	virtual bool IsPlaybackComplete( ) const ;
private:

	static	void				HandleSDLCallback		( void* userData, UBYTE* buffer, int len );
			void				HandleSDLCallback		( UBYTE* buffer, int len ) ;

	SDLAudioDevice(void);

	SWORD* m_buffer;
	bool m_Complete;
};

#endif