#pragma once
#ifndef _INPUT_SDL_WINDOW_H
#define _INPUT_SDL_WINDOW_H

#include "iInputDevice.h"

class InputSDLWindow : public iInputDevice
{
public:
	static InputSDLWindow::PTR Create( ) ;
	virtual ~InputSDLWindow(void);

	virtual bool Update( ) ;
	virtual void MapKey( int deviceKey, int keyToMap ) ;
	virtual void SetFunctionKeyPress( const boost::function<void ( bool, int )>& func ) ;
	

private:
	InputSDLWindow(void);
	std::map<int, int> m_KeyMap ;
	boost::function<void ( bool, int )> m_FuncKeyPress;
};

#endif