#pragma once
#ifndef _SDL_GL_OUTPUT_H
#define _SDL_GL_OUTPUT_H

#include "iOutputDevice.h"

class SDLGLWindow : public iOutputDevice
{
public:
	static iOutputDevice::PTR Create( ) ;
	virtual ~SDLGLWindow(void);

	virtual void SetVideoBufferSize( int width, int height ) ;
	virtual bool Update( ) ;
	virtual void Render( void* videobuffer ) const ;

private:
	SDLGLWindow(void);

	void CreateSDLWindow( ) ;
	void InitGL( ) ;
	
	bool m_TextureCreated ;
	int m_Width ;
	int m_Height ;
	unsigned int m_TextureId ;
};

#endif